parport_open
Prev | Chapter 22. Parallel Port Devices | Next

## Name

parport_open — find a device by canonical device number

## Synopsis

`struct pardevice * parport_open (` | int | devnum,
| const char * | name,
| int (* | pf`(`void *`)`,
| void (* | kf`(`void *`)`,
| void (* | irqf`(`int, void *`)`,
| int | flags,
| void * | handle`)`;

## Arguments

`devnum`

  canonical device number

`name`

  name to associate with the device

`pf`

  preemption callback

`kf`

  kick callback

`irqf`

  interrupt handler

`flags`

  registration flags

`handle`

  driver data

## Description

This function is similar to `parport_register_device`, except that it locates a device by its number rather than by the port it is attached to.

All parameters except for `devnum` are the same as for `parport_register_device`. The return value is the same as for `parport_register_device`.

Prev | Up | Next
parport_release | Home | parport_close